Almirah.Code - Bug #89

Text Formatting Issue (bold, italic, mixed, links)
05/13/2024 12:52 PM - Oleksandr lvanov

Status: Closed Start date: 05/13/2024
Priority: Normal Due date: 05/13/2024
Assignee: Oleksandr lvanov % Done: 100%
Category: Estimated time: 20:00 hours
Target version: 0.1.7 Spent time: 16:00 hours
Description

It was observed that there is an issue with a line rendering containing both options: font style and links (URL).

The issue is with the parser that can keep only a single state (either font style or link processing).

So, parser needs to be reworked.

History

#1 - 05/13/2024 01:04 PM - Oleksandr Ivanov
- Status changed from New to Closed

- % Done changed from 0 to 100

Implemented: (7bb257a), (0e5aa23), (5f91ab7), (bd38d2f)
Reviewed in https:/github.com/OleksandrlvanovDev/Almirah.Code/pull/28

#2 - 06/23/2024 10:00 PM - Oleksandr lvanov
- Due date set to 05/13/2024
https://www.almirah.site/redmine/projects/almirah-code/repository/almirah-code/revisions/7bb257ad1313b395781aa41c42072007cdb84346
https://www.almirah.site/redmine/projects/almirah-code/repository/almirah-code/revisions/0e5aa231941d620ea6c3b28377e6dda97c872c77
https://www.almirah.site/redmine/projects/almirah-code/repository/almirah-code/revisions/5f91ab72adbd511d138ba4666c3a62f34c74093c
https://www.almirah.site/redmine/projects/almirah-code/repository/almirah-code/revisions/bd38d2fe3b06a91124cd444be33a8e7386a604e7
https://github.com/OleksandrIvanovDev/Almirah.Code/pull/28
http://www.tcpdf.org

